Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154628 - jpegtran doesn't modify EXIF orientation information when rotating images
Summary: jpegtran doesn't modify EXIF orientation information when rotating images
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libjpeg
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 04:54 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-27 19:04:24 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-13 04:54:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
When you run "jpegtran -rot 90 -copy all x.jpg > y.jpg", the EXIF information isnt' re-written to contain the correct "Image Data/Orientation" field as it should be.

EXIF-aware applications will display the image incorrectly if this field is not correctly modified to reflect the true encoded orientation.


Version-Release number of selected component (if applicable):
libjpeg-6b-33

How reproducible:
Always

Steps to Reproduce:
1. Find a JPEG image that contains EXIF orientation data.
2. In nautilus, right click it, and view the EXIF data. Note the "Image Data/Orientation" field.
3. run "jpegtran -rot 90 -copy all x.jpg > y.jpg"
4. In nautilus, right click the new y.jpg file, view the EXIF data again, and not that the "Image Data/Orientation" field has not been updated.
  

Additional info:

Comment 1 Matthew Miller 2006-07-10 21:10:14 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.